#!/bin/sh
# Compile process application
if [ ! -f "process.fcgi/process.c" ]; then
    echo "ERROR: $(date '+%Y-%m-%d %H:%M:%S') - process.c not found"
    exit 1
else    
    # install libharu
    # if [ ! -f "libharu-2.1.0.tar.gz" ]; then
    if [ ! -f "libharu-2.2.1.tar.gz" ]; then
        echo "$(date '+%Y-%m-%d %H:%M:%S') - Warning: libharu library not found. You won't be able to print to pdf"
    else
        tar xzf libharu-2.2.1.tar.gz
        cd libharu-2.2.1
        make install
        cd ..
        rm -r libharu-2.2.1
    fi
    cd process.fcgi

    gcc -lfcgi -lpthread -O2 -lxml2 -I/usr/include/postgresql -I/usr/include/libxml2 -I/usr/include/curl -lpq -lcurl -lhpdf -lldap -lz -lm reporting_config.c inno-lib.c process.c cdr.c mypbx.c pg_report.c process-languages.c process-strings-utf8.c -D NO_FCGI_DEFINES -o $1/process.fcgi.tmp
    if [ ! -f "$1/process.fcgi.tmp" ]; then
        exit 1
    else
        chown www-data:www-data $1/process.fcgi.tmp
    fi
    gcc -o /usr/local/bin/zpipe -O2 zpipe.c -lz
    if [ ! -x /usr/local/bin/zpipe ]; then
        echo "$(date '+%Y-%m-%d %H:%M:%S') - Warning: zpipe tool not available"
    fi
    if [ -d "/home/debian" ]; then
        cp zpipe.c /home/debian
    fi
    echo "LOG: $(date '+%Y-%m-%d %H:%M:%S') - fcgi process compiled"
    cd ..
fi
